---
updatedAt: 2025-09-17T00:08:17.000Z
agentTools:
  projectIndex: https://docs.api.everactive.com/llms.txt
---

# delete mqtt subscription

Delete a mqtt subscription.

# OpenAPI definition

````json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Everactive Data Service API",
    "version": "v1",
    "description": "This API provides access to administrative operations for configuring, monitoring, and maintaining\n\nthe gateways and sensors that make up an Everactive installation, \n\nand for managing the software that detects and responds to events reported by sensors.",
    "contact": {
      "url": "https://everactive.com",
      "email": "success@everactive.com",
      "name": "Everactive"
    },
    "x-logo": {
      "url": "https://everactive.com/content/themes/storyware/assets/svg/logo.svg",
      "backgroundColor": "#0d0d3d",
      "altText": "Everactive"
    }
  },
  "servers": [
    {
      "url": "https://api.data.everactive.com/ds/v1",
      "description": "Everactive Data Service v1 API."
    }
  ],
  "components": {
    "securitySchemes": {
      "OAuth2": {
        "type": "oauth2",
        "description": "The Everactive internal API uses OAuth2 to authenticate and generate a Bearer token to authorize API endpoints. \nExternal clients must use the client_credentials flow to authenticate. The expectation is the client_secret \nvalue is protected at all times. It must not be used in a mobile application or web application\nas it is not possible to protect the secret in these types of applications.\n\nExample client_credentials grant_type request body:\n```json\n{\n  \"client_id\": \"the_client_id\",\n  \"client_secret\": \"the_client_secret\",\n  \"grant_type\": \"client_credentials\"\n}\n```",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://api.data.everactive.com/auth/token",
            "scopes": {
              "super-admin": "full access to all API endpoints",
              "integration-partner": "access to all public API endpoints",
              "customer-admin": "full access to API endpoints related to the customer the client belongs to",
              "user": "limited access to endpoints related to the customer the client belongs to"
            },
            "x-everactive-public": true
          }
        }
      }
    },
    "responses": {
      "400Error": {
        "description": "The request is invalid.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "$ref": "#/components/schemas/ClientError"
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "The request did not include the correct authorization or the included authorization has expired."
      },
      "403Forbidden": {
        "description": "The requested resource is not accessible to the currently authenticated client."
      }
    },
    "schemas": {
      "ClientError": {
        "title": "ClientError",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "A code that uniquely identifies the error type, e.g. `error_validation`.",
            "example": "error_validation"
          },
          "message": {
            "type": "string",
            "description": "A description of the error code.",
            "example": "Validation error."
          },
          "errors": {
            "type": "array",
            "description": "A collection of sub-errors that are encompassed by the top-level error. Validation errors will often have one or more specific fields that did not pass validation, this collection will describe the specific errors.",
            "items": {
              "type": "object",
              "properties": {
                "code": {
                  "type": "string",
                  "description": "A code that uniquely identifies the error type, e.g. `error_no_value`.",
                  "example": "error_invalid_mac_address"
                },
                "field": {
                  "type": "string",
                  "description": "Errors for a specific field passed in the body will indicate which field caused the error.",
                  "example": "sensor.macAddress"
                },
                "message": {
                  "type": "string",
                  "description": "A description of the error.",
                  "example": "no:ta:re:al:ma:c0 is an invalid MAC address"
                }
              },
              "required": [
                "code",
                "message"
              ]
            }
          }
        },
        "required": [
          "code",
          "message"
        ],
        "description": "An error specific to an action the client is attempting."
      }
    }
  },
  "tags": [
    {
      "name": "Mqtt",
      "description": "Endpoints related to managing and viewing MQTT subscriptions.",
      "x-everactive-public": true
    }
  ],
  "paths": {
    "/mqtt-subscriptions/{mqttSubscriptionId}": {
      "parameters": [
        {
          "name": "mqttSubscriptionId",
          "in": "path",
          "schema": {
            "type": "string"
          },
          "required": true,
          "description": "The ID of the mqtt subscription.",
          "example": "c405bb1a-7249-4e4c-be40-fbcd37bd1334"
        }
      ],
      "delete": {
        "x-everactive-public": true,
        "summary": "delete mqtt subscription",
        "description": "Delete a mqtt subscription.",
        "operationId": "delete-mqtt-subscriptions",
        "security": [
          {
            "OAuth2": [
              "super-admin",
              "developer"
            ]
          }
        ],
        "tags": [
          "Mqtt"
        ],
        "responses": {
          "204": {
            "description": "The mqtt subscription was successfully deleted."
          },
          "400": {
            "$ref": "#/components/responses/400Error"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          }
        }
      }
    }
  },
  "x-tagGroups": [
    {
      "name": "API Calls",
      "tags": [
        "Eversensors",
        "Evergateways",
        "Health",
        "Webhooks",
        "Mqtt"
      ]
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
````